namespace Tinkerforge
{
    public static class EDualButton
    {
        public static (byte LedLeft, byte LedRight) GetLEDState(this BrickletDualButton dualButton)
        {
            dualButton.GetLEDState(out byte ledL, out byte ledR);
            return (ledL, ledR);
        }

        public static (byte buttonLeft, byte ButtonRight) GetButtonState(this BrickletDualButton dualButton)
        {
            dualButton.GetButtonState(out byte buttonL, out byte buttonR);
            return (buttonL, buttonR);
        }
    }
}
